Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QIconDragEvent Class Reference

The QIconDragEvent class indicates that a main icon drag has begun. More...

    #include <QIconDragEvent>

Inherits QEvent.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QEvent

### Public Functions

- QIconDragEvent ()
- ~QIconDragEvent ()

- 4 public functions inherited from QEvent

## Detailed Description

The QIconDragEvent class indicates that a main icon drag has begun.

Icon drag events are sent to widgets when the main icon of a window has been dragged away. On Mac OS X, this happens when the proxy icon of a window is dragged off the title bar.

It is normal to begin using drag and drop in response to this event.

See also Drag-and-drop documentation, QMimeData, and QDrag.

## Member Function Documentation

### QIconDragEvent::QIconDragEvent ()

Constructs an icon drag event object with the accept flag set to false.

See also accept().

### QIconDragEvent::~QIconDragEvent ()